CustomAttributesControllerGetAllCustomAttributes Method |
GET /CustomAttributes/
Gets all of the custom attributes in the system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetAllCustomAttributes(
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetAllCustomAttributes (
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ GetAllCustomAttributes(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetAllCustomAttributes :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA list of
CustomAttributeInfoListItemData objects, or a status code indicating the problem.
See Also